#!/bin/sh
#
# Example mapping script
#
# Argument is IFACE
# Input is a series of lines each containing a pair: MAC LIFACE
# Output is the first LIFACE whose associated MAC is the actual MAC-address
#   of IFACE, if any
# Exit status is 0 if a LIFACE was printed, 1 otherwise
#

set -e

export LANG=C

IFACE="$1"
ACTUALMAC=$(/sbin/ifconfig "$IFACE" | sed -n -e '/^.*HWaddr \([:[:xdigit:]]*\).*/{s//\1/;y/ABCDEF/abcdef/;p;q;}')
WHICH=""

while read TESTMAC LIFACE; do
	[ "$WHICH" ] && continue
	[ "$ACTUALMAC" = "$(echo "$TESTMAC" | sed -e 'y/ABCDEF/abcdef/')" ] && WHICH="$LIFACE"
done

if [ "$WHICH" ]; then
	echo $WHICH
	exit 0
fi
exit 1
