#!/bin/sh
#
# Example mapping script
#
# Argument is IFACE
# Input is a series of lines each containing a pair: GLOB LIFACE
# Output is the first LIFACE whose associated GLOB matches the current
#   PCMCIA scheme, if any
# Exit status is 0 if a LIFACE was printed, 1 otherwise
#

if [ ! -e /etc/pcmcia/shared ]; then exit 1; fi

pcmcia_shared () {
	. /etc/pcmcia/shared
}

IFACE="$1"

# /etc/pcmcia/shared sucks
pcmcia_shared "start" $IFACE
usage () {
	exit 1
}
get_info $IFACE

HWADDR=`/sbin/ifconfig $DEVICE | sed -n -e 's/.*addr \([^ ]*\) */\1/p'`

WHICH=""
while read GLOB LIFACE; do
	[ "$WHICH" ] && continue
	case "$SCHEME,$SOCKET,$INSTANCE,$HWADDR" in
		$GLOB) WHICH=$LIFACE ;;
	esac
done

if [ "$WHICH" ]; then
	echo $WHICH
	exit 0
fi
exit 1
